API ReferenceElevenLabs SDK
Get Speech Engine
Returns one Speech Engine configuration.
GET
/el/v1/speech-engine/{speech_engine_id}Returns one Speech Engine configuration.
xi-api-key<token>
Tenant key (ElevenLabs SDK convention).
In: header
Path Parameters
speech_engine_id*string
Response Body
application/json
application/json
application/json
application/json
const response = await fetch("https://api.allmodels.io/el/v1/speech-engine/$SPEECH_ENGINE_ID", { headers: { Authorization: `Bearer ${process.env.ALLMODELS_API_KEY}` }});if (!response.ok) throw new Error(`AllModels request failed: ${response.status}`);console.log(await response.json());import osimport requestsresponse = requests.get( "https://api.allmodels.io/el/v1/speech-engine/$SPEECH_ENGINE_ID", headers={"Authorization": f"Bearer {os.environ['ALLMODELS_API_KEY']}"}, timeout=30,)response.raise_for_status()print(response.json())curl https://api.allmodels.io/el/v1/speech-engine/$SPEECH_ENGINE_ID \ -H "Authorization: Bearer $ALLMODELS_API_KEY"import { ElevenLabsClient } from "@elevenlabs/elevenlabs-js";const client = new ElevenLabsClient({ apiKey: process.env.ALLMODELS_API_KEY, baseUrl: "https://api.allmodels.io/el"});const engine = await client.speechEngine.get("seng_01JZ8H4B1M4YDQ3Z4MXN8D0Q1A");import osfrom elevenlabs.client import ElevenLabsclient = ElevenLabs( api_key=os.environ["ALLMODELS_API_KEY"], base_url="https://api.allmodels.io/el",)engine = client.speech_engine.get("seng_01JZ8H4B1M4YDQ3Z4MXN8D0Q1A"){ "speech_engine_id": "string", "name": "string", "speech_engine": { "ws_url": "string", "request_headers": { "property1": "string", "property2": "string" } }, "allmodels": { "stt": { "model_id": "string", "provider": "string", "provider_options": { "property1": null, "property2": null }, "input": { "property1": null, "property2": null } }, "tts": { "model_id": "string", "provider": "string", "provider_options": { "property1": null, "property2": null }, "input": { "property1": null, "property2": null } } }, "property1": null, "property2": null}{ "error": "missing_api_key"}{ "detail": { "message": "string", "status": "string", "property1": null, "property2": null }}{ "detail": { "message": "string", "status": "string", "property1": null, "property2": null }}